Subject: Fuel Cells
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 15 Sep 2000 02:48:00 -0700 (PDT)

1.  Can I get a copy of the FuelCell Energy purchase order form.  Jeff said 
that you would have a copy.
2.  I forwarded to you a memo from Bingham that discusses the permitting 
requirements for the proposed projects.  FYI--I plan to call Bingham today 
with some follow up questions.
3. I forwarded to you a memo by ENSR on the air permit requirements for fuel 
cells.
4.  Please let me know when you can meet today to discuss the MOU.